<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="@since J2EE1.4  The message-destination-ref element contains a declaration  of Deployment Component's reference to a message destination  associated with a resource in Deployment Component's  environment. It consists of:            - an optional description          - the message destination reference name          - the message destination type          - a specification as to whether the            destination is used for            consuming or producing messages, or both          - a link to the message destination    Examples:     message-destination-ref            message-destination-ref-name jms/StockQueue           /message-destination-ref-name            message-destination-type javax.jms.Queue           /message-destination-type            message-destination-usage Consumes           /message-destination-usage            message-destination-link CorporateStocks           /message-destination-link    /message-destination-ref ">
<meta name="KeyWords" content="MessageDestinationRef,Class MessageDestinationRef,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;MessageDestinationRef&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>@since&nbsp;J2EE1.4
<BR>The&nbsp;message-destination-ref&nbsp;element&nbsp;contains&nbsp;a&nbsp;declaration
<BR>of&nbsp;Deployment&nbsp;Component's&nbsp;reference&nbsp;to&nbsp;a&nbsp;message&nbsp;destination
<BR>associated&nbsp;with&nbsp;a&nbsp;resource&nbsp;in&nbsp;Deployment&nbsp;Component's
<BR>environment.&nbsp;It&nbsp;consists&nbsp;of:
<BR>
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;description
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;message&nbsp;destination&nbsp;reference&nbsp;name
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;message&nbsp;destination&nbsp;type
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;a&nbsp;specification&nbsp;as&nbsp;to&nbsp;whether&nbsp;the
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;destination&nbsp;is&nbsp;used&nbsp;for
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;consuming&nbsp;or&nbsp;producing&nbsp;messages,&nbsp;or&nbsp;both
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;a&nbsp;link&nbsp;to&nbsp;the&nbsp;message&nbsp;destination
<BR>
<BR>Examples:
<BR>
<BR>&lt;message-destination-ref&gt;
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;message-destination-ref-name&gt;jms/StockQueue
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/message-destination-ref-name&gt;
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;message-destination-type&gt;javax.jms.Queue
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/message-destination-type&gt;
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;message-destination-usage&gt;Consumes
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/message-destination-usage&gt;
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;message-destination-link&gt;CorporateStocks
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/message-destination-link&gt;
<BR>&lt;/message-destination-ref&gt;</font><BR><BR>
</body>
</html>
